# class Object

### Public Class Methods

hpricot_slate_method_added(name)
Alias for: method_added
method_added(name) click to toggle source

Detect method additions to `Object` and remove them in the BlankSlate class.

    # File lib/hpricot/blankslate.rb, line 57
    def method_added(name)
      hpricot_slate_method_added(name)
      return if self != Object
      Hpricot::BlankSlate.hide(name)
    end

Also aliased as: hpricot_slate_method_added

### Public Instance Methods

Hpricot(input = nil, opts = {}, &blk) click to toggle source

    # File lib/hpricot/parse.rb, line 3
    def Hpricot(input = nil, opts = {}, &blk)
      Hpricot.make(input, opts, &blk)
    end